Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

General questions relating to Joomla! 3.x.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
daleybortolon
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 09, 2017 8:30 pm

Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

Post by daleybortolon » Tue Aug 02, 2022 2:37 pm

Good Day!

I have upgraded My Joomla to 4 and it broke. I have uploaded my site backup but it gives this error (daleybortolon.com.br):
Array
(
[type] => 64
[message] => require(): Failed opening required '/home4/daleyb73/public_html/libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php' (include_path='.:/opt/cpanel/ea-php72/root/usr/share/pear')
[file] => /home4/daleyb73/public_html/libraries/vendor/composer/autoload_real.php
[line] => 66
)

Can anybody help? Thanks!
Last edited by toivo on Tue Aug 02, 2022 9:13 pm, edited 1 time in total.
Reason: mod note: moved from the Portuguese forum, retitled - please post to the correct language forum in the future!

daleybortolon
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 09, 2017 8:30 pm

Re: Upgrade to Joomla 4

Post by daleybortolon » Tue Aug 02, 2022 9:24 pm

I have upgraded to php 8 and then..
Array
(
[type] => 1
[message] => Uncaught Error: Failed opening required '/home4/daleyb73/public_html/libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php' (include_path='.:/opt/cpanel/ea-php80/root/usr/share/pear') in /home4/daleyb73/public_html/libraries/vendor/composer/autoload_real.php:66
Stack trace:
#0 /home4/daleyb73/public_html/libraries/vendor/composer/autoload_real.php(56): composerRequire205c915b9c7d3e718e7c95793ee67ffe('2fb9d6f23c8e8fa...', '/home4/daleyb73...')
#1 /home4/daleyb73/public_html/libraries/vendor/autoload.php(7): ComposerAutoloaderInit205c915b9c7d3e718e7c95793ee67ffe::getLoader()
#2 /home4/daleyb73/public_html/libraries/cms.php(36): require('/home4/daleyb73...')
#3 /home4/daleyb73/public_html/includes/framework.php(18): require_once('/home4/daleyb73...')
#4 /home4/daleyb73/public_html/index.php(48): require_once('/home4/daleyb73...')
#5 {main}
thrown
[file] => /home4/daleyb73/public_html/libraries/vendor/composer/autoload_real.php
[line] => 66

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 14782
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

Post by toivo » Tue Aug 02, 2022 9:49 pm

Which version of Joomla 3 did you backup and then try to upgrade from?

Did you restore the backup into an empty folder? How did you restore the database?
Toivo Talikka, Global Moderator

daleybortolon
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 09, 2017 8:30 pm

Re: Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

Post by daleybortolon » Wed Aug 03, 2022 10:50 am

toivo wrote:
Tue Aug 02, 2022 9:49 pm
Which version of Joomla 3 did you backup and then try to upgrade from?

Did you restore the backup into an empty folder? How did you restore the database?
I have changed my site provider in 2021. It is that backup of the whole site that I mean. I didn't do the backup through the cpanel. Not sure about the version of Joomla at the time, but I have always kept it updated.
Last week I did the upgrade to 4 through joomla upgrader e the site broke.
Hostgator upgraded the MySQL 5.6 to 5.7 in an attempt to fix the issue to no avail.
They asked to change the DNS and it has been done.
I uploaded the backup to my site using Filezilla and Hostgator restored it for me.
Any suggestions?

daleybortolon
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 09, 2017 8:30 pm

Re: Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

Post by daleybortolon » Wed Aug 03, 2022 4:46 pm

Anyway, this afternoon, after almost a week, hostgator told me THEY had a backup and, for a fee, it could be restored! Thanks anyway!

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 14782
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Error: Failed opening libraries/vendor/composer/../joomla/string/src/phputf8/utf8.php

Post by toivo » Wed Aug 03, 2022 9:41 pm

daleybortolon wrote:
Wed Aug 03, 2022 10:50 am
Any suggestions?
Install Akeeba Backup, create a full backup of the Joomla 3.x website and restore it as a test site on localhost in your workstation, running for example Wampserver, which supports more than one version of PHP and switching between them.

The localhost site will allow a trial upgrade and full debugging to identify the root cause for the errors.
Toivo Talikka, Global Moderator


Post Reply

Return to “General Questions/New to Joomla! 3.x”